/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
enum { DEVICE_MIT_CRICKET_V1, DEVICE_MIT_CRICKET_V1_1, DEVICE_MIT_CRICKET_V2 };

extern int serial_open();
extern void serial_close();
extern void handle_message(char *sentence);
extern void errlog(char *s);
extern int errexit(char *s);
extern int passiveTCP(char *service, int qlen);
extern int connectTCP(char *host, char *service);

#define DEFAULTPORT "2947"

static char* typetoa(int device_type)
{
    switch (device_type) {
    case DEVICE_MIT_CRICKET_V1:
	return "1.0";
    case DEVICE_MIT_CRICKET_V1_1:
	return "1.1";
    case DEVICE_MIT_CRICKET_V2:
	return "2.0";
    }
}
